Summary: Practical Extraction and Report Language
Name: perl
Version: 5.003
Release: 8
Copyright: GPL
Group: Utilities/Text
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/5.0/perl5.003.tar.gz
Patch: perl-5.003-security.patch
Requires: csh

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing reports
based on that information.  It's also a good language for many system
management tasks.  The language is intended to be practical (easy to use,
efficient, complete) rather than beautiful (tiny, elegant, minimal).

%changelog

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>

- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>

1) Use -Darchname=i386-linux 
2) Require csh (for glob)
3) Use RPM_ARCH during configuration and installation for arch independence

%prep
%setup -n perl5.003
%patch -p0 -b .security

%build

# Perl doesn't find dlopen() in /lib/libdl.so, so we have to force it to.

sh Configure -des -Dprefix=/usr -Darchname=${RPM_ARCH}-linux -Dd_dosuid

make

# Strip binaries (done now rather than at install)
strip perl
strip suidperl
strip x2p/a2p

%install

rm -rf /usr/lib/perl5
make install
install -m 755 utils/pl2pm /usr/bin/pl2pm
#install -s -m 6755 suidperl /usr/bin/suidperl
(cd /usr/include ; h2ph *.h sys/*.h linux/*.h asm/*.h)

# Fix the header file that declares NULL...
sed 's/( \&void \*) //' \
/usr/lib/perl5/${RPM_ARCH}-linux/5.003/linux/posix_types.ph > /tmp/$$.change
mv -f /tmp/$$.change /usr/lib/perl5/${RPM_ARCH}-linux/5.003/linux/posix_types.ph

%files
/usr/bin/sperl5.003
/usr/bin/perl5.003
/usr/bin/suidperl
/usr/bin/perl
/usr/bin/a2p
/usr/bin/c2ph
/usr/bin/pstruct
/usr/bin/s2p
/usr/bin/find2perl
/usr/bin/h2xs
/usr/bin/h2ph
/usr/bin/pl2pm
/usr/bin/perldoc
/usr/bin/pod2man
/usr/bin/pod2html
/usr/bin/pod2latex
/usr/lib/perl5
/usr/man/man1/a2p.1
/usr/man/man1/s2p.1
/usr/man/man1/perl*.1
